# Thu, 20 Aug 2026 13:11:52 GMT
---
version: 23
data:

- type: Matcher
  attributes:
    country: Germany
    displayName: Bank code
    type: DICTIONARY
    minimumLength: 0
    priority: 70
    content: |-
        matcher/de/bank_code.txt
  
- type: Matcher
  attributes:
    country: Germany
    displayName: Bank name
    type: REGEX
    minimumLength: 0
    priority: 50
    content: |-
        .*(bank|sparkasse|lzb|lbs|lbb|spk).*
  
- type: Matcher
  attributes:
    country: Germany
    displayName: City
    type: DICTIONARY
    minimumLength: 5
    priority: 70
    content: |-
        matcher/de/city.txt
  
- type: Matcher
  attributes:
    country: Germany
    displayName: Company
    type: REGEX
    minimumLength: 0
    priority: 50
    content: |-
        .*\s(gmbh|ag|gbr|e.k.|co.kg|mbh)
  
- type: Matcher
  attributes:
    country: Germany
    displayName: First name
    type: DICTIONARY
    minimumLength: 2
    priority: 70
    content: |-
        matcher/de/firstname.txt
  
- type: Matcher
  attributes:
    country: Germany
    displayName: Last name
    type: DICTIONARY
    minimumLength: 5
    priority: 70
    content: |-
        matcher/de/lastname.txt
  
- type: Matcher
  attributes:
    country: Germany
    displayName: Street
    type: REGEX
    minimumLength: 0
    priority: 50
    content: |-
        .*(str\.|strasse|gasse|weg|straße|zeile|allee|chaussee|damm|platz|ring).*|[a-z\s\.\-,;]{3,}\s+\d[\da-z\-]*
  
- type: Matcher
  attributes:
    country: Germany
    displayName: Title
    type: DICTIONARY
    minimumLength: 0
    priority: 70
    content: |-
        matcher/de/title.txt
  
- type: Matcher
  attributes:
    country: Germany
    displayName: Zip code
    type: REGEX
    minimumLength: 0
    priority: 50
    content: |-
        [0-9]{5}
  
